 import "Turbine.UI"; 
 import "Turbine.UI.Extensions"; 
 import "Turbine.UI.Lotro"; 

 import "Homeopatix.FoodAndDrinks.Globals"
 import "Homeopatix.FoodAndDrinks.MinimizedIcon"
 import "Homeopatix.FoodAndDrinks.VindarPatch"
 import "Homeopatix.FoodAndDrinks.Commands"
 import "Homeopatix.FoodAndDrinks.LoadAndSave"
 import "Homeopatix.FoodAndDrinks.MainWindow"
 import "Homeopatix.FoodAndDrinks.FCT"

Turbine.Shell.WriteLine("<rgb=#CC56DA>FoodAndDrinks</rgb> <rgb=#DDDDDD>".. plugin:GetVersion() .." par Homeo</rgb>")


CreateLocalizationInfo();
LoadSettings();
------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
CreateMainWindow();

------------------------------------------------------------------------------------------
-- setting the shortcuts
------------------------------------------------------------------------------------------
SettingTheShortcuts();

------------------------------------------------------------------------------------------
-- setting the shortcuts for drag and drop
------------------------------------------------------------------------------------------
SetDragAndDrop();

------------------------------------------------------------------------------------------
-- delete the shortcut with mouse wheel
------------------------------------------------------------------------------------------
DeleteShortcuts();

------------------------------------------------------------------------------------------
-- mouse click handler
------------------------------------------------------------------------------------------
MouseClickHandler();
           
------------------------------------------------------------------------------------------
-- Closing window handler
------------------------------------------------------------------------------------------
ClosingWindow();

------------------------------------------------------------------------------------------
-- handle minimizeIcon
------------------------------------------------------------------------------------------
if(settings.isWindowVisible == "true") then
	MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 32, 32, FoodAndDrinksWindow:SetVisible(true));
else
	MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 32, 32, FoodAndDrinksWindow:SetVisible(false));
end

MainMinimizedIcon:SetPosition(settings.minimizeX, settings.minimizeY);
MainMinimizedIcon:SetZOrder(0);
MainMinimizedIcon.PositionChanged = function()
	settings.minimizeX = MainMinimizedIcon:GetLeft();
	settings.minimizeY = MainMinimizedIcon:GetTop();
	SaveSettings();
end

------------------------------------------------------------------------------------------
-- event handling
------------------------------------------------------------------------------------------
FoodAndDrinksWindow.KeyDown=function(sender, args)
	if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
		FoodAndDrinksWindow:SetVisible(false);
		settings.isWindowVisible = false;
		SaveSettings();
	end
	
	-- https://www.lotro.com/forums/showthread.php?493466-How-to-hide-a-window-on-F12&p=6581962#post6581962
	if ( args.Action == 268435635 ) then
		hudVisible=not hudVisible;
		if hudVisible then
			FoodAndDrinksWindow:SetVisible(false);
			MainMinimizedIcon:SetVisible(false);
		else
			FoodAndDrinksWindow:SetVisible(settings.isWindowVisible);
			MainMinimizedIcon:SetVisible(true);
		end
	end
end
------------------------------------------------------------------------------------------
-- if the position changes, save the new window location
------------------------------------------------------------------------------------------
FoodAndDrinksWindow.PositionChanged = function( sender, args )
    local x,y = FoodAndDrinksWindow:GetPosition();
    settings.positionX = x;
    settings.positionY = y;
	SaveSettings();
end

				
	



